import { h, Component } from 'preact';
import WBNavbar from 'wb-navbar';
import WBProjectListing from 'wb-project-listing';
import WBInlineSearch from 'wb-inline-search';

class WBBrowse extends Component {
  render({ ownerUuid, appCallbacks }) {
    return (
      <div>
        <WBNavbar items={ [
          { 'name': 'Browse', 'active': true },
          { 'name': 'User', 'dropdown': [ { 'id': 'sign-out', 'name': 'Sign Out' } ]}
        ] } rhs={ (
          <WBInlineSearch />
        ) } onItemClicked={ appCallbacks.navbarItemClicked } />

        <WBProjectListing arvHost="api.arkau.roche.com"
          arvToken="v2/arkau-gj3su-uf4hnu2o2qkvm8j/15kla38mafzq6b31d5t74ynhk6iuy32v1ticslodr0obvvhde9"
          ownerUuid={ ownerUuid }
          itemsPerPage="5" />
      </div>
    );
  }
}

export default WBBrowse;
